/**
 * Proyecto: 9x03-Bicola - Referencias y Ficheros
 * Fichero:  Nodo.java
 * Fecha:    24/05/2012
 *
 * Licencia (CC) BY-NC-SA: giltesa.com
 */


import java.io.Serializable;


public class Nodo<G> implements Serializable
{

	// PROPIEDADES:
	private G	              elemento;
	private Nodo<G>	        anteriorNodo;
	private Nodo<G>	        siguienteNodo;
	private static final long	serialVersionUID	= -5675480542913425773L;

	
	// CONSTRUCTOR:
	public Nodo( G dato )
	{
		elemento = dato;
	}

	
	// METODOS:
	public G getDatoNodo()
	{
		return elemento;
	}


	public void setDatoNodo( G dato )
	{
		elemento = dato;
	}


	public Nodo<G> getNodoAnterior()
	{
		return anteriorNodo;
	}


	public Nodo<G> getNodoSiguiente()
	{
		return siguienteNodo;
	}


	public void setNodoAnterior( Nodo<G> nodo )
	{
		anteriorNodo = nodo;
	}


	public void setNodoSiguiente( Nodo<G> nodo )
	{
		siguienteNodo = nodo;
	}

}
